{
    "compilerOptions": {
        "noUnusedLocals": true,
        "noUnusedParameters": true,
        "noImplicitReturns": true,
        "noFallthroughCasesInSwitch": true,
        "suppressImplicitAnyIndexErrors": true,
        "ignoreDeprecations": "5.0",
        "moduleResolution": "node",
        "esModuleInterop": true,
        "target": "es6",
        "allowJs": true,
        "module": "commonjs",
        "removeComments": true,
        "preserveConstEnums": true,
        "sourceMap": true,
        "outDir": "dist",
        "noImplicitAny": true,
        "lib": ["dom", "ES2020"],
        "resolveJsonModule": true
    },
    "ts-node": {
        "files": true
    },
    "files": ["src/server.ts"],
    "include": ["src/**/*"],
    "exclude": [
        "src/tests/",
        "node_modules",
        "submodules",
        "devel",
        "src/standaloneUtils"
    ]
}
